1 - CancelArchiving

1.1 - 1.1

put /v1/archiving-histories/cancel-archiving

Description

Cancel a specific archiving

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
queryid
required
Archiving History ID
Example : EXE-8f35b491-a060-453b-b825-e78440ca46de
stringNone
querybucket_id
required
Bucket ID
Example : 3d036efe-f576-48b0-8375-6d3704a95b63
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/archiving-histories/cancel-archiving?id={id}&bucket_id={bucket_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"

Example HTTP response

Response 202

1.2 - 1.0

put /v1/archiving-histories/cancel-archiving

Description

Cancel a specific archiving

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
queryid
required
Archiving History ID
Example : EXE-8f35b491-a060-453b-b825-e78440ca46de
stringNone
querybucket_id
required
Bucket ID
Example : 3d036efe-f576-48b0-8375-6d3704a95b63
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/archiving-histories/cancel-archiving?id={id}&bucket_id={bucket_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"

Example HTTP response

Response 202

2 - CancelRecovery

2.1 - 1.1

put /v1/recovery-histories/cancel-recovery

Description

Cancel a specific recovery

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
queryid
required
Recovery History ID
Example : EXE-9df439a5-9e6d-46a4-806e-1e9991520763
stringNone
querybucket_id
required
Bucket ID
Example : 7d8d8c2b-d02a-421e-a6e3-5b981bfb507f
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/recovery-histories/cancel-recovery?id={id}&bucket_id={bucket_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"

Example HTTP response

Response 202

2.2 - 1.0

put /v1/recovery-histories/cancel-recovery

Description

Cancel a specific recovery

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
queryid
required
Recovery History ID
Example : EXE-9df439a5-9e6d-46a4-806e-1e9991520763
stringNone
querybucket_id
required
Bucket ID
Example : 7d8d8c2b-d02a-421e-a6e3-5b981bfb507f
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/recovery-histories/cancel-recovery?id={id}&bucket_id={bucket_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"

Example HTTP response

Response 202

3 - CreateArchivingPolicy

3.1 - 1.1

post /v1/archiving-policies

Description

Create an archivingPolicy

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querybucket_id
required
Bucket ID
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone
bodybody
required

ArchivingPolicyCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedArchivingPolicyCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/archiving-policies?bucket_id={bucket_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"

Request body

{
    "archiving_source_bucket_name": "obs-bucket-name",
    "object_lifecycle": "1",
    "object_path": "/"
}

Example HTTP response

Response 201

{
    "id": "SCH-XXXXXXX",
    "bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
    "archiving_source": {
        "bucket_name": "obs-bucket-name",
        "object_path": "/"
    },
    "object_lifecycle": "1",
    "state": "ACTIVE"
}

3.2 - 1.0

post /v1/archiving-policies

Description

Create an archivingPolicy

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querybucket_id
required
Bucket ID
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone
bodybody
required

ArchivingPolicyCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedArchivingPolicyCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/archiving-policies?bucket_id={bucket_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"

Request body

{
    "archiving_source_bucket_name": "obs-bucket-name",
    "object_lifecycle": "1",
    "object_path": "/"
}

Example HTTP response

Response 201

{
    "id": "SCH-XXXXXXX",
    "bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
    "archiving_source": {
        "bucket_name": "obs-bucket-name",
        "object_path": "/"
    },
    "object_lifecycle": "1",
    "state": "ACTIVE"
}

4 - CreateBucket

4.1 - 1.1

post /v1/buckets

Description

Create a bucket

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

BucketCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedBucketCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/buckets

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"

Request body

{
    "name": "astest",
    "tags": [
        {
            "key": "key",
            "value": "value"
        }
    ]
}

Example HTTP response

Response 201

{
    "id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2"
}

4.2 - 1.0

post /v1/buckets

Description

Create a bucket

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

BucketCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedBucketCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/buckets

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"

Request body

{
    "name": "astest",
    "tags": [
        {
            "key": "key",
            "value": "value"
        }
    ]
}

Example HTTP response

Response 201

{
    "id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2"
}

5 - DeleteBucket

5.1 - 1.1

delete /v1/buckets/{bucket_id}

Description

Delete a specific bucket

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathbucket_id
required
Bucket ID
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
403ForbiddenNone
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/buckets/{bucket_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"

Example HTTP response

Response 202

5.2 - 1.0

delete /v1/buckets/{bucket_id}

Description

Delete a specific bucket

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathbucket_id
required
Bucket ID
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
403ForbiddenNone
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/buckets/{bucket_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"

Example HTTP response

Response 202

6 - DeleteBucketObjects

6.1 - 1.1

delete /v1/buckets/{bucket_id}/objects

Description

Delete Bucket Objects

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathbucket_id
required
Bucket ID
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone
bodybody
required

ObjectDeleteRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/buckets/{bucket_id}/objects

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"

Request body

{
    "paths": [
        "test/"
    ]
}

Example HTTP response

Response 202

6.2 - 1.0

delete /v1/buckets/{bucket_id}/objects

Description

Delete Bucket Objects

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathbucket_id
required
Bucket ID
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone
bodybody
required

ObjectDeleteRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/buckets/{bucket_id}/objects

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"

Request body

{
    "paths": [
        "test/"
    ]
}

Example HTTP response

Response 202

7 - DeleteBucketObjectVersions

7.1 - 1.1

delete /v1/buckets/{bucket_id}/object-versions

Description

Delete Bucket Object Versions

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathbucket_id
required
Bucket ID
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone
bodybody
required

ObjectVersionsDeleteRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/buckets/{bucket_id}/object-versions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"

Request body

{
    "path": "hello/my_file.txt",
    "versions": [
        "Oc9nEYWV.6VjzsIMXFZWM1zL8HcYvKl",
        "asSrZ.-K.cf67F0NhXR353JS7Kx6kmm"
    ]
}

Example HTTP response

Response 202

8 - ListArchivingHistories

8.1 - 1.1

get /v1/archiving-histories

Description

List archiving histories

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querybucket_id
required
Bucket ID
Example : 3d036efe-f576-48b0-8375-6d3704a95b63
stringNone
querystart_at_from
required
Start at from
Example : 2025-04-01T00:00:00+09:00
string (date-time)None
querystart_at_to
required
Start at to
Example : 2025-04-30T23:59:59+09:00
string (date-time)None
querystate
optional
State
Example : SUCCESS
any of [string, null]None
querylimit
optional
Limit
Example : 20
any of [integer, null]20
queryoffset
optional
Offset
Example : 0
any of [integer, null]0

Responses

HTTP CodeDescriptionSchema
200OKArchivingHistoryListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/archiving-histories?bucket_id={bucket_id}&start_at_from={start_at_from}&start_at_to={start_at_to}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"

Example HTTP response

Response 200

{
    "total_count": 10,
    "bucket_id": "3d036efe-f576-48b0-8375-6d3704a95b63",
    "contents": [
        {
            "archiving_id": "SCH-02d48456-0f35-47e2-8056-b00e09366cac",
            "id": "EXE-8f35b491-a060-453b-b825-e78440ca46de",
            "state": "SUCCESS",
            "archiving_policy_id": "SCH-02d48456-0f35-47e2-8056-b00e09366cac",
            "start_at": "2025-04-01T00:00:00+09:00",
            "end_at": "2025-04-30T23:59:59+09:00"
        }
    ]
}

8.2 - 1.0

get /v1/archiving-histories

Description

List archiving histories

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querybucket_id
required
Bucket ID
Example : 3d036efe-f576-48b0-8375-6d3704a95b63
stringNone
querystart_at_from
required
Start at from
Example : 2025-04-01T00:00:00+09:00
string (date-time)None
querystart_at_to
required
Start at to
Example : 2025-04-30T23:59:59+09:00
string (date-time)None
querystate
optional
State
Example : SUCCESS
any of [string, null]None
querylimit
optional
Limit
Example : 20
any of [integer, null]20
queryoffset
optional
Offset
Example : 0
any of [integer, null]0

Responses

HTTP CodeDescriptionSchema
200OKArchivingHistoryListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/archiving-histories?bucket_id={bucket_id}&start_at_from={start_at_from}&start_at_to={start_at_to}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"

Example HTTP response

Response 200

{
    "total_count": 10,
    "bucket_id": "3d036efe-f576-48b0-8375-6d3704a95b63",
    "contents": [
        {
            "archiving_id": "SCH-02d48456-0f35-47e2-8056-b00e09366cac",
            "id": "EXE-8f35b491-a060-453b-b825-e78440ca46de",
            "state": "SUCCESS",
            "archiving_policy_id": "SCH-02d48456-0f35-47e2-8056-b00e09366cac",
            "start_at": "2025-04-01T00:00:00+09:00",
            "end_at": "2025-04-30T23:59:59+09:00"
        }
    ]
}

9 - ListArchivingPolicies

9.1 - 1.1

get /v1/archiving-policies

Description

List archiving policies

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querybucket_id
required
Bucket ID
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone

Responses

HTTP CodeDescriptionSchema
200OKArchivingPolicyListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/archiving-policies?bucket_id={bucket_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"

Example HTTP response

Response 200

{
    "count": 1,
    "bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
    "archiving_source_bucket_name": "obs-bucket-name",
    "archiving_policies": [
        {
            "id": "SCH-XXXXXXX",
            "object_lifecycle": "1",
            "object_path": "/",
            "state": "ACTIVE"
        }
    ]
}

9.2 - 1.0

get /v1/archiving-policies

Description

List archiving policies

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querybucket_id
required
Bucket ID
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone

Responses

HTTP CodeDescriptionSchema
200OKArchivingPolicyListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/archiving-policies?bucket_id={bucket_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"

Example HTTP response

Response 200

{
    "count": 1,
    "bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
    "archiving_source_bucket_name": "obs-bucket-name",
    "archiving_policies": [
        {
            "id": "SCH-XXXXXXX",
            "object_lifecycle": "1",
            "object_path": "/",
            "state": "ACTIVE"
        }
    ]
}

10 - ListBucketObjects

10.1 - 1.1

get /v1/buckets/{bucket_id}/objects

Description

List Bucket Objects

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathbucket_id
required
Bucket ID
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone
querymarker
optional
Marker
Example : TODO.txt
any of [string, null]None
queryobject_path
optional
Object Path
Example : /
any of [string, null]None
queryobject_name
optional
Object Name
Example : hello/TODO.txt
any of [string, null]None
queryobject_type
optional
Object Type
Example : FILE
any of [string, null]None
querylimit
optional
Limit
Example : 20
any of [integer, null]200

Responses

HTTP CodeDescriptionSchema
200OKObjectListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/buckets/{bucket_id}/objects

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"

Example HTTP response

Response 200

{
    "count": 1,
    "marker": "TODO.txt",
    "is_truncated": true,
    "contents": [
        {
            "object_name": "hello/TODO.txt",
            "object_type": "FILE",
            "object_size": "3581",
            "modified_at": "2025-04-09T05:54:46.244000+00:00"
        }
    ]
}

10.2 - 1.0

get /v1/buckets/{bucket_id}/objects

Description

List Bucket Objects

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathbucket_id
required
Bucket ID
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone
querymarker
optional
Marker
Example : TODO.txt
any of [string, null]None
queryobject_path
optional
Object Path
Example : /
any of [string, null]None
queryobject_name
optional
Object Name
Example : hello/TODO.txt
any of [string, null]None
queryobject_type
optional
Object Type
Example : FILE
any of [string, null]None
querylimit
optional
Limit
Example : 20
any of [integer, null]200

Responses

HTTP CodeDescriptionSchema
200OKObjectListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/buckets/{bucket_id}/objects

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"

Example HTTP response

Response 200

{
    "count": 1,
    "marker": "TODO.txt",
    "is_truncated": true,
    "contents": [
        {
            "object_name": "hello/TODO.txt",
            "object_type": "FILE",
            "object_size": "3581",
            "modified_at": "2025-04-09T05:54:46.244000+00:00"
        }
    ]
}

11 - ListBucketObjectVersions

11.1 - 1.1

get /v1/buckets/{bucket_id}/object-versions

Description

List Bucket Object Versions

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathbucket_id
required
Bucket ID
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone
queryobject_path
required
Object Path
Example : hello/my_file.txt
stringNone
queryoffset
optional
Offset
Example : 0
any of [integer, null]0
querylimit
optional
Limit
Example : 20
any of [integer, null]20

Responses

HTTP CodeDescriptionSchema
200OKObjectVersionListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/buckets/{bucket_id}/object-versions?object_path={object_path}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"

Example HTTP response

Response 200

{
    "count": 1,
    "contents": [
        {
            "object_path": "hello/my_file.txt",
            "object_version_id": "Oc9nEYWV.6VjzsIMXFZWM1zL8HcYvKl",
            "latest": true,
            "modified_at": "2025-04-09T05:54:46.244000+00:00",
            "etag": "4f6094f1e0619a6504efcb5e69e63bec",
            "size": "20"
        }
    ]
}

12 - ListBuckets

12.1 - 1.1

get /v1/buckets

Description

List Buckets

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
queryname
optional
Bucket name
Example : astest
any of [string, null]None
querylimit
optional
Limit
Example : 20
any of [integer, null]20

Responses

HTTP CodeDescriptionSchema
200OKBucketListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/buckets

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"

Example HTTP response

Response 200

{
    "buckets": [
        {
            "id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
            "name": "astest"
        }
    ]
}

12.2 - 1.0

get /v1/buckets

Description

List Buckets

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
queryname
optional
Bucket name
Example : astest
any of [string, null]None
querylimit
optional
Limit
Example : 20
any of [integer, null]20

Responses

HTTP CodeDescriptionSchema
200OKBucketListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/buckets

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"

Example HTTP response

Response 200

{
    "buckets": [
        {
            "id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
            "name": "astest"
        }
    ]
}

13 - ListRecoveryHistories

13.1 - 1.1

get /v1/recovery-histories

Description

List recovery histories

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querybucket_id
required
Bucket ID
Example : 7d8d8c2b-d02a-421e-a6e3-5b981bfb507f
stringNone
querystart_at_from
required
Start at from
Example : 2025-04-01T00:00:00+09:00
string (date-time)None
querystart_at_to
required
Start at to
Example : 2025-04-30T23:59:59+09:00
string (date-time)None
querystate
optional
State
Example : SUCCESS
any of [string, null]None
querylimit
optional
Limit
Example : 20
any of [integer, null]20
queryoffset
optional
Offset
Example : 0
any of [integer, null]0

Responses

HTTP CodeDescriptionSchema
200OKRecoveryHistoryListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/recovery-histories?bucket_id={bucket_id}&start_at_from={start_at_from}&start_at_to={start_at_to}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"

Example HTTP response

Response 200

{
    "total_count": 10,
    "bucket_id": "7d8d8c2b-d02a-421e-a6e3-5b981bfb507f",
    "contents": [
        {
            "recovery_id": "ARC-f9eab563-312b-4bbf-a4bf-d377448d66b5",
            "id": "EXE-9df439a5-9e6d-46a4-806e-1e9991520763",
            "state": "SUCCESS",
            "recovery_target_bucket_name": "test-obs-bucket",
            "start_at": "2025-04-01T00:00:00+09:00",
            "end_at": "2025-04-30T23:59:59+09:00"
        }
    ]
}

13.2 - 1.0

get /v1/recovery-histories

Description

List recovery histories

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querybucket_id
required
Bucket ID
Example : 7d8d8c2b-d02a-421e-a6e3-5b981bfb507f
stringNone
querystart_at_from
required
Start at from
Example : 2025-04-01T00:00:00+09:00
string (date-time)None
querystart_at_to
required
Start at to
Example : 2025-04-30T23:59:59+09:00
string (date-time)None
querystate
optional
State
Example : SUCCESS
any of [string, null]None
querylimit
optional
Limit
Example : 20
any of [integer, null]20
queryoffset
optional
Offset
Example : 0
any of [integer, null]0

Responses

HTTP CodeDescriptionSchema
200OKRecoveryHistoryListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/recovery-histories?bucket_id={bucket_id}&start_at_from={start_at_from}&start_at_to={start_at_to}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"

Example HTTP response

Response 200

{
    "total_count": 10,
    "bucket_id": "7d8d8c2b-d02a-421e-a6e3-5b981bfb507f",
    "contents": [
        {
            "recovery_id": "ARC-f9eab563-312b-4bbf-a4bf-d377448d66b5",
            "id": "EXE-9df439a5-9e6d-46a4-806e-1e9991520763",
            "state": "SUCCESS",
            "recovery_target_bucket_name": "test-obs-bucket",
            "start_at": "2025-04-01T00:00:00+09:00",
            "end_at": "2025-04-30T23:59:59+09:00"
        }
    ]
}

14 - RecoverObjects

14.1 - 1.1

put /v1/buckets/{bucket_id}/recover-objects

Description

Recover Objects to objectstorage

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathbucket_id
required
Bucket ID
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone
bodybody
required

ObjectRecoverRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedObjectRecoverResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/buckets/{bucket_id}/recover-objects

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"

Request body

{
    "recovery_target_bucket_name": "obs-bucket-name",
    "recovery_infos": [
        {
            "source_object_path": "/",
            "object_type": "FILE"
        }
    ],
    "overwrite": true
}

Example HTTP response

Response 202

{
    "id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
    "recovery_target_bucket_name": "obs-bucket-name"
}

14.2 - 1.0

put /v1/buckets/{bucket_id}/recover-objects

Description

Recover Objects to objectstorage

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathbucket_id
required
Bucket ID
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone
bodybody
required

ObjectRecoverRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedObjectRecoverResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/buckets/{bucket_id}/recover-objects

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"

Request body

{
    "recovery_target_bucket_name": "obs-bucket-name",
    "recovery_infos": [
        {
            "source_object_path": "/",
            "object_type": "FILE"
        }
    ],
    "overwrite": true
}

Example HTTP response

Response 202

{
    "id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
    "recovery_target_bucket_name": "obs-bucket-name"
}

15 - RecoverObjectVersions

15.1 - 1.1

put /v1/buckets/{bucket_id}/recover-object-versions

Description

Recover Object Versions to objectstorage

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathbucket_id
required
Bucket ID
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone
bodybody
required

ObjectVersionRecoverRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedObjectVersionRecoverResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/buckets/{bucket_id}/recover-object-versions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"

Request body

{
    "recovery_target_bucket_name": "obs-bucket-name",
    "source_object_path": "/",
    "source_object_version": "Oc9nEYWV.6VjzsIMXFZWM1zL8HcYvKl",
    "overwrite": true
}

Example HTTP response

Response 202

{
    "id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
    "recovery_target_bucket_name": "obs-bucket-name"
}

16 - SetArchivingPolicy

16.1 - 1.1

put /v1/archiving-policies/{archiving_policy_id}

Description

Set archivingPolicy

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
patharchiving_policy_id
required
Archiving Policy ID
Example : SCH-XXXXXXX
stringNone
querybucket_id
required
Bucket ID
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone
bodybody
required

ArchivingPolicyUpdateRequest

Responses

HTTP CodeDescriptionSchema
200OKArchivingPolicyUpdateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/archiving-policies/{archiving_policy_id}?bucket_id={bucket_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"

Request body

{
    "object_lifecycle": "1"
}

Example HTTP response

Response 200

{
    "id": "SCH-XXXXXXX",
    "bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
    "archiving_source": {
        "bucket_name": "obs-bucket-name",
        "object_path": "/"
    },
    "object_lifecycle": "1",
    "state": "ACTIVE"
}

16.2 - 1.0

put /v1/archiving-policies/{archiving_policy_id}

Description

Set archivingPolicy

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
patharchiving_policy_id
required
Archiving Policy ID
Example : SCH-XXXXXXX
stringNone
querybucket_id
required
Bucket ID
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone
bodybody
required

ArchivingPolicyUpdateRequest

Responses

HTTP CodeDescriptionSchema
200OKArchivingPolicyUpdateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/archiving-policies/{archiving_policy_id}?bucket_id={bucket_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"

Request body

{
    "object_lifecycle": "1"
}

Example HTTP response

Response 200

{
    "id": "SCH-XXXXXXX",
    "bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
    "archiving_source": {
        "bucket_name": "obs-bucket-name",
        "object_path": "/"
    },
    "object_lifecycle": "1",
    "state": "ACTIVE"
}

17 - SetArchivingPolicyState

17.1 - 1.1

put /v1/archiving-policies/{archiving_policy_id}/state

Description

Set archivingPolicy state

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
patharchiving_policy_id
required
Archiving Policy ID
Example : SCH-XXXXXXX
stringNone
querybucket_id
required
Bucket ID
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone
bodybody
required

ArchivingPolicyStateUpdateRequest

Responses

HTTP CodeDescriptionSchema
200OKArchivingPolicyStateUpdateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/archiving-policies/{archiving_policy_id}/state?bucket_id={bucket_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"

Request body

{
    "state": "ACTIVE"
}

Example HTTP response

Response 200

{
    "id": "SCH-XXXXXXX",
    "bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
    "state": "ACTIVE"
}

18 - SetBucketEncryption

18.1 - 1.1

put /v1/buckets/{bucket_id}/encryption

Description

Set a specific bucket encryption

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathbucket_id
required
Bucket ID
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone
bodybody
required

BucketEncryptionRequest

Responses

HTTP CodeDescriptionSchema
200OKBucketEncryptionResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/buckets/{bucket_id}/encryption

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"

Request body

{
    "enabled": true
}

Example HTTP response

Response 200

{
    "id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
    "enabled": true
}

18.2 - 1.0

put /v1/buckets/{bucket_id}/encryption

Description

Set a specific bucket encryption

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathbucket_id
required
Bucket ID
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone
bodybody
required

BucketEncryptionRequest

Responses

HTTP CodeDescriptionSchema
200OKBucketEncryptionResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/buckets/{bucket_id}/encryption

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"

Request body

{
    "enabled": true
}

Example HTTP response

Response 200

{
    "id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
    "enabled": true
}

19 - SetBucketVersioning

19.1 - 1.1

put /v1/buckets/{bucket_id}/versioning

Description

set a specific bucket versioning

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathbucket_id
required
Bucket ID
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone
bodybody
required

BucketVersionRequest

Responses

HTTP CodeDescriptionSchema
200OKBucketVersioningResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/buckets/{bucket_id}/versioning

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"

Request body

{
    "enabled": true
}

Example HTTP response

Response 200

{
    "id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
    "enabled": true
}

20 - ShowArchivingHistory

20.1 - 1.1

get /v1/archiving-histories/detail

Description

Show an archiving history

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
queryid
required
Archiving History ID
Example : EXE-8f35b491-a060-453b-b825-e78440ca46de
stringNone
querybucket_id
required
Bucket ID
Example : 3d036efe-f576-48b0-8375-6d3704a95b63
stringNone

Responses

HTTP CodeDescriptionSchema
200OKArchivingHistoryShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/archiving-histories/detail?id={id}&bucket_id={bucket_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"

Example HTTP response

Response 200

{
    "archiving_id": "SCH-02d48456-0f35-47e2-8056-b00e09366cac",
    "id": "EXE-8f35b491-a060-453b-b825-e78440ca46de",
    "state": "SUCCESS",
    "archiving_policy_id": "SCH-02d48456-0f35-47e2-8056-b00e09366cac",
    "start_at": "2025-04-01T00:00:00+09:00",
    "end_at": "2025-04-30T23:59:59+09:00",
    "bucket_id": "3d036efe-f576-48b0-8375-6d3704a95b63",
    "archiving_infos": [
        {
            "source_object_path": "example_source_object_path/",
            "usage": "1024",
            "total_object_count": 100,
            "archiving_object_count": 50,
            "archiving_rate": 100
        }
    ]
}

20.2 - 1.0

get /v1/archiving-histories/detail

Description

Show an archiving history

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
queryid
required
Archiving History ID
Example : EXE-8f35b491-a060-453b-b825-e78440ca46de
stringNone
querybucket_id
required
Bucket ID
Example : 3d036efe-f576-48b0-8375-6d3704a95b63
stringNone

Responses

HTTP CodeDescriptionSchema
200OKArchivingHistoryShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/archiving-histories/detail?id={id}&bucket_id={bucket_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"

Example HTTP response

Response 200

{
    "archiving_id": "SCH-02d48456-0f35-47e2-8056-b00e09366cac",
    "id": "EXE-8f35b491-a060-453b-b825-e78440ca46de",
    "state": "SUCCESS",
    "archiving_policy_id": "SCH-02d48456-0f35-47e2-8056-b00e09366cac",
    "start_at": "2025-04-01T00:00:00+09:00",
    "end_at": "2025-04-30T23:59:59+09:00",
    "bucket_id": "3d036efe-f576-48b0-8375-6d3704a95b63",
    "archiving_infos": [
        {
            "source_object_path": "example_source_object_path/",
            "usage": "1024",
            "total_object_count": 100,
            "archiving_object_count": 50,
            "archiving_rate": 100
        }
    ]
}

21 - ShowArchivingPolicy

21.1 - 1.1

get /v1/archiving-policies/{archiving_policy_id}

Description

Show an archivingPolicy

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
patharchiving_policy_id
required
Archiving Policy ID
Example : SCH-XXXXXXX
stringNone
querybucket_id
required
Bucket ID
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone

Responses

HTTP CodeDescriptionSchema
200OKArchivingPolicyShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/archiving-policies/{archiving_policy_id}?bucket_id={bucket_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"

Example HTTP response

Response 200

{
    "id": "SCH-XXXXXXX",
    "bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
    "archiving_source": {
        "bucket_name": "obs-bucket-name",
        "object_path": "/"
    },
    "object_lifecycle": "1",
    "state": "ACTIVE"
}

21.2 - 1.0

get /v1/archiving-policies/{archiving_policy_id}

Description

Show an archivingPolicy

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
patharchiving_policy_id
required
Archiving Policy ID
Example : SCH-XXXXXXX
stringNone
querybucket_id
required
Bucket ID
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone

Responses

HTTP CodeDescriptionSchema
200OKArchivingPolicyShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/archiving-policies/{archiving_policy_id}?bucket_id={bucket_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"

Example HTTP response

Response 200

{
    "id": "SCH-XXXXXXX",
    "bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
    "archiving_source": {
        "bucket_name": "obs-bucket-name",
        "object_path": "/"
    },
    "object_lifecycle": "1",
    "state": "ACTIVE"
}

22 - ShowBucket

22.1 - 1.1

get /v1/buckets/{bucket_id}

Description

Show a specific bucket

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathbucket_id
required
Bucket ID
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone

Responses

HTTP CodeDescriptionSchema
200OKBucketShowResponse
403ForbiddenNone
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/buckets/{bucket_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"

Example HTTP response

Response 200

{
    "id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
    "name": "astest",
    "state": "ACTIVE",
    "usage": "10",
    "archiving_source_bucket_name": "obstest"
}

22.2 - 1.0

get /v1/buckets/{bucket_id}

Description

Show a specific bucket

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathbucket_id
required
Bucket ID
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone

Responses

HTTP CodeDescriptionSchema
200OKBucketShowResponse
403ForbiddenNone
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/buckets/{bucket_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"

Example HTTP response

Response 200

{
    "id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
    "name": "astest",
    "state": "ACTIVE",
    "usage": "10",
    "archiving_source_bucket_name": "obstest"
}

23 - ShowBucketEncryption

23.1 - 1.1

get /v1/buckets/{bucket_id}/encryption

Description

Show a specific bucket encryption

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathbucket_id
required
Bucket ID
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone

Responses

HTTP CodeDescriptionSchema
200OKBucketEncryptionResponse
403ForbiddenNone
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/buckets/{bucket_id}/encryption

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"

Example HTTP response

Response 200

{
    "id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
    "enabled": true
}

23.2 - 1.0

get /v1/buckets/{bucket_id}/encryption

Description

Show a specific bucket encryption

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathbucket_id
required
Bucket ID
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone

Responses

HTTP CodeDescriptionSchema
200OKBucketEncryptionResponse
403ForbiddenNone
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/buckets/{bucket_id}/encryption

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"

Example HTTP response

Response 200

{
    "id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
    "enabled": true
}

24 - ShowBucketVersioning

24.1 - 1.1

get /v1/buckets/{bucket_id}/versioning

Description

show a specific bucket versioning

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathbucket_id
required
Bucket ID
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone

Responses

HTTP CodeDescriptionSchema
200OKBucketVersioningResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/buckets/{bucket_id}/versioning

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"

Example HTTP response

Response 200

{
    "id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
    "enabled": true
}

25 - ShowRecoveryHistory

25.1 - 1.1

get /v1/recovery-histories/detail

Description

Show a recovery history

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
queryid
required
Recovery History ID
Example : EXE-9df439a5-9e6d-46a4-806e-1e9991520763
stringNone
querybucket_id
required
Bucket ID
Example : 7d8d8c2b-d02a-421e-a6e3-5b981bfb507f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKRecoveryHistoryShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/recovery-histories/detail?id={id}&bucket_id={bucket_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"

Example HTTP response

Response 200

{
    "recovery_id": "ARC-f9eab563-312b-4bbf-a4bf-d377448d66b5",
    "id": "EXE-9df439a5-9e6d-46a4-806e-1e9991520763",
    "state": "SUCCESS",
    "recovery_target_bucket_name": "test-obs-bucket",
    "start_at": "2025-04-01T00:00:00+09:00",
    "end_at": "2025-04-30T23:59:59+09:00",
    "bucket_id": "7d8d8c2b-d02a-421e-a6e3-5b981bfb507f",
    "recovery_infos": [
        {
            "source_object_path": "example_source_object_path/",
            "usage": "1024",
            "total_object_count": 100,
            "recovery_object_count": 50,
            "recovery_rate": 50
        }
    ]
}

25.2 - 1.0

get /v1/recovery-histories/detail

Description

Show a recovery history

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
queryid
required
Recovery History ID
Example : EXE-9df439a5-9e6d-46a4-806e-1e9991520763
stringNone
querybucket_id
required
Bucket ID
Example : 7d8d8c2b-d02a-421e-a6e3-5b981bfb507f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKRecoveryHistoryShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/recovery-histories/detail?id={id}&bucket_id={bucket_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.0"

Example HTTP response

Response 200

{
    "recovery_id": "ARC-f9eab563-312b-4bbf-a4bf-d377448d66b5",
    "id": "EXE-9df439a5-9e6d-46a4-806e-1e9991520763",
    "state": "SUCCESS",
    "recovery_target_bucket_name": "test-obs-bucket",
    "start_at": "2025-04-01T00:00:00+09:00",
    "end_at": "2025-04-30T23:59:59+09:00",
    "bucket_id": "7d8d8c2b-d02a-421e-a6e3-5b981bfb507f",
    "recovery_infos": [
        {
            "source_object_path": "example_source_object_path/",
            "usage": "1024",
            "total_object_count": 100,
            "recovery_object_count": 50,
            "recovery_rate": 50
        }
    ]
}